Get Personal Data Field By Id
GET /obp/v7.0.0/my/personal-data-fields/USER_ATTRIBUTE_ID
OBPv6.0.0-getPersonalDataFieldById No role required UserUser-AttributeAttribute
Get a single Personal Data Field by USER_ATTRIBUTE_ID for the currently authenticated user.
USER_ATTRIBUTE_ID is the unique identifier of the field (not its "name"). Obtain it from GET /my/personal-data-fields. Returns 404 if no field with that USER_ATTRIBUTE_ID belongs to the user.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
USER_ATTRIBUTE_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
JSON response body fields (6)
Example success response
{
"user_attribute_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"name": "BATTERY_LEVEL",
"type": "STRING",
"value": "90",
"is_personal": false,
"insert_date": "2026-10-21T01:45:41Z"
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20081: User Attribute not found by USER_ATTRIBUTE_ID.
- OBP-50000: Unknown Error.